<?php

if($_SESSION["nombre"] == "Inventario "){

  echo '<script>

    window.location = "inicio";

  </script>';

  return;

}

?>
<div class="content-wrapper">

<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Lista Pedidos Despachados</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="inicio">Inicio</a></li>
              <li class="breadcrumb-item active">Lista Pedidos Despachados</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>


    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
        <div class="card-header">
          
          <button type="button" class="btn btn-default float-right pull-right  btn-sm" id="daterange-btn">
         
           <span>
             <i class="fa fa-calendar"></i> Rango de fecha
           </span>

           <i class="fa fa-caret-down"></i>

        </button>

        </div>
        <div class="card-body">
        <table style="font-size:75%;" class="table table-bordered table-hover table-striped dt-responsive pedidosDespachados table-sm" style="font-size:90%; line-height:14px ">
         
         <thead>
          
          <tr>
            
            <th style="width:10px">#</th>
            <th style="width:5%">#codigo</th>
            <th style="width:5%">Area</th>
            <th style="width:25%" >Jefe de Area</th>
            <th>Fecha</th>
            <th>Hora</th>
            <th>Estado Validacion</th>
            <th>Estado Despacho</th>
            <th>Acciones</th>
 
          </tr> 
 
         </thead>
 
         <tbody>
           
         <?php


            if(isset($_GET["fechaInicial"])){

              $fechaInicial = $_GET["fechaInicial"];
              $fechaFinal = $_GET["fechaFinal"];
              
    
            }else{
    
              $fechaInicial = null;
              $fechaFinal = null;
            
    
            }
    
              $respuesta = ControladorVentas::ctrPedidosDespachados($fechaInicial, $fechaFinal);
        

          foreach ($respuesta as $key => $value) {

          echo '<tr>

                  <td>'.($key+1).'</td>

                  <td>'.$value["codigo"].'</td>';

                  $itemUsuario = "id";
                  $valorUsuario = $value["id_usuario"];

                  $respuestaUsuario = ControladorUsuarios::ctrMostrarUsuarios($itemUsuario, $valorUsuario);

                  $itemEmpleado = "id";
                  $valorEmpleado = $respuestaUsuario["id_empleado"];

                  $empleado = ControladorEmpleado:: ctrMostrarEmpleado($itemEmpleado, $valorEmpleado);


                  $fecha = date_create($value["fecha"]);
                  $fecha1 = date_format($fecha, "d/m/Y");

                  echo '<td>'.$value["nombre"].'</td>';
                  echo '<td>'.$empleado["nombre"].'</td>';
                  echo '<td>'.$fecha1.'</td>';
                  echo '<td>'.$value["hora"].'</td>';

                  if($value["estado_validacion"] == 0 ){
                    echo '<td><button class="btn btn-warning btn-xs">PENDIENTE</button></td>';
                  }else if ($value["estado_validacion"] == 1){
                    echo '<td><button class="btn btn-success btn-xs">VALIDADO</button></td>';
                  } else if ($value["estado_validacion"] == 2) {
                    echo '<td><button class="btn btn-info btn-xs">OBSERVADO</button></td>';
                  } else {
                    echo '<td><button class="btn btn-danger btn-xs">RECHAZADO</button></td>';
                  }

                  if($value["estado_despacho"] == 0 ){
                    echo '<td><button class="btn btn-warning btn-xs">PENDIENTE</button></td>';
                  }else{
                    echo '<td><button class="btn btn-success btn-xs">DESPACHADO</button></td>';
                  }

                  echo'<td>

                    <div class="btn-group">
                        
                      <button class="btn btn-info btnVerVale" codigoVenta="'.$value["codigo"].'"><i class="fa fa-print"></i></button>';

                    echo'</div>  

                  </td>

                </tr>';
            }

          ?>
 

           
         </tbody>
         <tfoot style="background-color: #000">
                  <tr>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
    
        
              
                    </tr>
          </tfoot>

 
        </table>
        <input type="hidden" value="<?php echo $_SESSION['nombre'];?>" id="perfilOculto">
        <?php

        $eliminarVenta = new ControladorVentas();
        $eliminarVenta -> ctrEliminarVenta();

        ?>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>

 
  <script>
      
      var elemento = document.getElementById("logistica");
      elemento.className += " active";

      var elemento = document.getElementById("log");
      elemento.className += " menu-open";

      var elemento = document.getElementById("PedidosDespachados");
      elemento.className += " active";
</script>

<script src="vistas/js/pedidosDespachados.js"></script>